{
  "version": "1",
  "information": {
    "name": "siip-stripe-payment_intents",
    "displayName": "SIIP - Generador de Payment Intents Stripe",
    "description": "Generador manual de Payment Intents Stripe para los clientes de UISP CRM, útil para conciliación de pagos no registrados en UISP CRM",
    "url": "https://siip.mx",
    "version": "1.0.0",
    "ucrmVersionCompliancy": {
      "min": "1.0.0",
      "max": null
    },
    "unmsVersionCompliancy": {
      "min": "1.0.0",
      "max": null
    },
    "author": "SIIP Internet"
  },
  "configuration": [
    {
      "key": "ipServer",
      "label": "Dirección IP o dominio del servidor",
      "description": "La dirección IP del servidor o dominio donde se ejecuta el sistema UISP CRM. Ejemplo: 172.16.5.120 o sistema.empresa.com",
      "required": 1,
      "type": "text"
    },
    {
      "key": "apiTokenUcrm",
      "label": "Token de la API UISP CRM",
      "description": "Token de autenticación para el uso de la API del sistema UISP UCRM. Contiene 36 caracteres y se genera desde el apartado de CRM en Ajustes->Seguridad->Claves app. Ejemplo: 3d3fa6c9-e268-6e8b-b4d5-aae394d99d7d",
      "required": 1,
      "type": "text"
    },
    {
      "key": "apiTokenStripe",
      "label": "Token de la API Stripe",
      "description": "Token de autenticación para el uso de la API de Stripe. Contiene 52 caracteres. Ejemplo: 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",
      "required": 1,
      "type": "text"
    },
    {
      "key": "debugMode",
      "label": "Debug Mode?",
      "description": "More detailed log info - Informacion de log mas detallada",
      "required": 0,
      "type": "checkbox"
    },
    {
      "key": "logging_level",
      "label": "enable debug logs",
      "description": "Make the plugin more verbose - Hace el plugin mas verboso.",
      "type": "checkbox",
      "required": 0
    }
  ],
  "menu": [
    {
      "key": "Reports",
      "label": "Generar Payment Intent",
      "type": "admin",
      "target": "iframe"
    }
  ],
  "supportsWebhookEvents": true
}